Package twisted :: Package runner :: Module inetd

[frames | no frames]

## Module twisted.runner.inetd

Twisted inetd.

Stability: semi-stable

Maintainer: Andrew Bennetts

Future Plans: Bugfixes. Specifically for UDP and Sun-RPC, which don't work correctly yet.

Classes
`InetdFactory` |
`InetdProtocol` | Forks a child process on connectionMade, passing the socket as fd 0.

Variable Summary
`dict` | `internalProtocols` = `{'discard': <class twisted.protocols...`

Variable Details

### internalProtocols

  Type:
    `dict`
  Value:

        {'chargen': <class twisted.protocols.wire.Chargen at 0x87c26e4>,
         'daytime': <class twisted.protocols.wire.Daytime at 0x891a57c>,
         'discard': <class twisted.protocols.wire.Discard at 0x87b921c>,
         'echo': <class twisted.protocols.wire.Echo at 0x875c31c>,
         'time': <class twisted.protocols.wire.Time at 0x86ecba4>}

Generated by Epydoc 2.0 on Sat May 15 20:07:53 2004 | http://epydoc.sf.net